<?xml version='1.0' encoding='UTF-8' standalone='no'?>
<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="compound.xsd" version="1.8.11">
  <compounddef id="class_settings" kind="class" language="C++" prot="public">
    <compoundname>Settings</compoundname>
    <includes refid="_settings_8h" local="no">Settings.h</includes>
      <sectiondef kind="public-func">
      <memberdef kind="function" id="class_settings_1ab7169a6eefce79566dd07db3b1e5e967" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type></type>
        <definition>Settings::Settings</definition>
        <argsstring>()</argsstring>
        <name>Settings</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para><ref refid="class_settings" kindref="compound">Settings</ref> for app <simplesect kind="return"><para>new app settings manager</para></simplesect>
Copyright 2016-2017 Stefano Fogarollo</para><para>Licensed under the Apache License, Version 2.0 (the &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain a copy of the License at</para><para><ulink url="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</ulink></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="app/Settings/Settings.h" line="32" column="1" bodyfile="app/Settings/Settings.cpp" bodystart="20" bodyend="20"/>
      </memberdef>
      <memberdef kind="function" id="class_settings_1a4a65be5921dfc9fddc476e5320541d89" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type></type>
        <definition>Settings::~Settings</definition>
        <argsstring>()</argsstring>
        <name>~Settings</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para>Deconstructor </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="app/Settings/Settings.h" line="37" column="1" bodyfile="app/Settings/Settings.cpp" bodystart="22" bodyend="22"/>
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>settings manager for app </para>    </briefdescription>
    <detaileddescription>
<para>Copyright 2016-2017 Stefano Fogarollo</para><para>Licensed under the Apache License, Version 2.0 (the &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain a copy of the License at</para><para><ulink url="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</ulink></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <location file="app/Settings/Settings.h" line="25" column="1" bodyfile="app/Settings/Settings.h" bodystart="25" bodyend="38"/>
    <listofallmembers>
      <member refid="class_settings_1ab7169a6eefce79566dd07db3b1e5e967" prot="public" virt="non-virtual"><scope>Settings</scope><name>Settings</name></member>
      <member refid="class_settings_1a4a65be5921dfc9fddc476e5320541d89" prot="public" virt="non-virtual"><scope>Settings</scope><name>~Settings</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>
